{%if my_recordings%}
    <div class="row viewgroup py-3">
        <div class="col-lg-12">
            <table id="recording_listing"  class="display responsive nowrap" style="width:100%">
                <caption>List of recordings</caption>
                <thead class="">
                    <tr>
                        <th data-priority="1" scope="col">Recording Name</th>
                        <th data-priority="7" scope="col">Room</th>
                        <th data-priority="3" scope="col">Visibility</th>
                        <th data-priority="6" scope="col">Size(KB)</th>
                        <th data-priority="4" scope="col">Created</th>
                        <!-- <th data-priority="5"></th> -->
                        <th data-priority="2" scope="col" class="no-sort"></th>
                    </tr>
                </thead>
                <tbody>
                    {% for rec in my_recordings %}
                        <tr  {% if rec.recording_visibility  == "public" %}class="table-primary"{%endif%}>
                            <td>{{ rec.name }}</td>
                            <td>{{rec.room.room_name}}</td>
                            <td>{{rec.recording_visibility}}</td>
                            <td>{{rec.recording_size}}</td>
                            <td>{{rec.created_at|date:'d/m/Y h:i a'}}</td>

                            <td>
                                <div class="btn-group" role="group">
                                    <button id="btnGroupDrop1" type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="false" aria-expanded="false" data-toggle="tooltip" data-placement="top" title="Tooltip on top">
                                      Options
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                                      <a class="dropdown-item" href="{%url 'update_recording' recording_id=rec.id%}"> Settings </a>
                                      <a class="dropdown-item"  href="{% url 'view_recording' recording_id=rec.id %}" class="btn btn-primary btn-sm" style="font-weight: 600;">View Recording</a>
                                      {% if rec.recording_visibility != "private" %}
                                        <a class="btn btn-info btn-sm share-link dropdown-item" href="#" data-share-link="{{request.get_host}}{% url 'view_recording' recording_id=rec.id %}" >Copy link</a>
                                      {%endif%}
                                    </div>
                                  </div>
                            </td>
                                <!-- <td> <a href="{%url 'update_recording' recording_id=rec.recording_id%}"> Settings </a> </td>
                                <td> 
                                    <a href="{% url 'view_recording' recording_id=rec.id %}" class="btn btn-primary btn-sm" style="font-weight: 600;">View Recording</a>
                                    {% if rec.recording_visibility != "private" %}
                                        <a href="#" data-share-link="{{request.get_host}}{% url 'view_recording' recording_id=rec.id %}" class="btn btn-info btn-sm share-link" style="font-weight: 600;">Click to share</a>
                                    {%endif%}
                                
                                </td> -->
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% else %}
    Hey there, You dont seem to have any recordings stored here. !
{% endif %}

